Get Brands

List TCR brands registered for your account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

If the brandId is blank, it will return the brand(s) associated with the entity tied to the credentials being used.

Success:

  • 200: OK. Returns TCR brand information based on the brandId provided in the query.
{
  "count": 1,
  "data": [
    {
      "brandId": "X7XAUYD",
      "entityType": "PRIVATE_PROFIT",
      "displayName": "Acme, Inc",
      "companyName": "Acme, Inc",
      "ein": "369946207",
      "einIssuingCountry": "US",
      "phone": "+19995551234",
      "street": "100 MAIN STREET",
      "city": "Westfield",
      "state": "NJ",
      "postalCode": "07020",
      "country": "US",
      "email": "[email protected]",
      "website": "https://acme.com/",
      "brandRelationship": "BASIC_ACCOUNT",
      "vertical": "POLITICAL",
      "universalEin": "US_369946207",
      "mock": false,
      "identityStatus": "VETTED_VERIFIED",
      "createDate": "01/29/2025 12:51pm EDT",
      "evpId": "AEGIS"
    }
  ],
  "total": 1
}

If the brandId is not found, the results will be an empty array and a count of 0.

{
  "count": 0,
  "data": []
}

Errors:

  • 401: Unauthorized. The credentials are missing or are incorrect. Verify those are being set correctly.
Query Params
string
required

TCR Brand ID

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json